> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kinbox.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# List all sessions



## OpenAPI

````yaml get /v1/sessions
openapi: 3.0.0
info:
  title: Kinbox API
  description: Kinbox public API
  version: '2.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/sessions:
    get:
      tags:
        - v1Sessions
      summary: List all sessions
      operationId: getAllSessions
      parameters:
        - name: limit
          required: false
          in: query
          description: >-
            A limit on the number of objects to be returned. Limit can range
            between 1 and 100.
          schema:
            default: 10
            type: number
        - name: cursor
          required: false
          in: query
          description: >-
            A cursor for use in pagination. The cursor is the id of the last
            object returned in the previous request.
          schema:
            type: string
        - name: campaign_id
          required: false
          in: query
          description: Filter sessions by campaign id.
          schema:
            type: string
        - name: contact_id
          required: false
          in: query
          description: >-
            Filter sessions by the id of the contact associated with the
            session.
          schema:
            type: string
        - name: call_id
          required: false
          in: query
          description: Filter sessions by the id of the call associated with the session.
          schema:
            type: string
        - name: updated_at_from
          required: false
          in: query
          description: Only return sessions that were updated after this date.
          schema:
            type: string
        - name: updated_at_to
          required: false
          in: query
          description: Only return sessions that were updated before this date.
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SessionSummaryCursorPaginatedResponseDto'
components:
  schemas:
    SessionSummaryCursorPaginatedResponseDto:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/SessionSummaryPublicDto'
        nextCursor:
          type: object
          nullable: true
          description: Cursor for the next page. Null if there are no more results.
      required:
        - data
        - nextCursor
    SessionSummaryPublicDto:
      type: object
      properties:
        id:
          type: string
      required:
        - id

````